Bug 1731568 (python-pytest-sugar) - Review Request: python-pytest-sugar - Change the default look and feel of pytest
Summary: Review Request: python-pytest-sugar - Change the default look and feel of pytest
Keywords:
Status: CLOSED ERRATA
Alias: python-pytest-sugar
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro python-pingouin
TreeView+ depends on / blocked
 
Reported: 2019-07-19 19:36 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-08-22 03:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 01:17:27 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2019-07-19 19:36:31 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-pytest-sugar/python-pytest-sugar.spec

SRPM URL: https://ankursinha.fedorapeople.org/python-pytest-sugar/python-pytest-sugar-0.9.2-1.fc30.src.rpm

Description:
pytest-sugar is a plugin for pytest that shows failures and errors instantly
and shows a progress bar.

Fedora Account System Username: ankursinha

Comment 1 Elliott Sales de Andrade 2019-07-20 08:12:42 UTC
Some attempt to run tests is made in %check, but they are not actually run.

It is a bit odd that the dependencies are optionally not included as BRs, but
they are marked as runtime Requires, so they aren't exactly optional.

Passing %{pypi_name} to %pypi_source is unnecessary.
The URL should be https://pypi.org/project/%{pypi_name}

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD (unspecified)", "BSD (unspecified)". 13
     files have unknown license. Detailed output of licensecheck in
     1731568-python-pytest-sugar/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pytest-sugar-0.9.2-1.fc31.noarch.rpm
          python-pytest-sugar-0.9.2-1.fc31.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python3-pytest-sugar.noarch: W: invalid-url URL: https://pypi.python.org/pypi/pytest-sugar <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pytest-sugar/pytest-sugar-0.9.2.tar.gz :
  CHECKSUM(SHA256) this package     : fcd87a74b2bce5386d244b49ad60549bfbc4602527797fac167da147983f58ab
  CHECKSUM(SHA256) upstream package : fcd87a74b2bce5386d244b49ad60549bfbc4602527797fac167da147983f58ab


Requires
--------
python3-pytest-sugar (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(packaging)
    python3.7dist(pytest)
    python3.7dist(termcolor)



Provides
--------
python3-pytest-sugar:
    python-pytest-sugar
    python3-pytest-sugar
    python3.7dist(pytest-sugar)
    python3dist(pytest-sugar)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1731568 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, Haskell, Java, PHP, R, C/C++, fonts, SugarActivity, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2019-07-20 10:12:28 UTC
Thanks for the review, Elliott,

(In reply to Elliott Sales de Andrade from comment #1)
> Some attempt to run tests is made in %check, but they are not actually run.

Turns out the tests don't run with pytest >5, so I've disabled them for the time being.
https://github.com/Frozenball/pytest-sugar/issues/180

> It is a bit odd that the dependencies are optionally not included as BRs, but
> they are marked as runtime Requires, so they aren't exactly optional.

They're picked up by the automatic generator, and are required for the tests so
I'll leave them as conditional for the time beng also.

> 
> Passing %{pypi_name} to %pypi_source is unnecessary.
> The URL should be https://pypi.org/project/%{pypi_name}

Corrected both of these. Thanks!

Comment 4 Elliott Sales de Andrade 2019-07-22 05:42:13 UTC
OK, looks good then.

Comment 5 Igor Gnatenko 2019-07-23 06:32:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-sugar

Comment 6 Fedora Update System 2019-08-13 20:15:09 UTC
FEDORA-2019-ab375e6516 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab375e6516

Comment 7 Fedora Update System 2019-08-13 20:15:13 UTC
FEDORA-2019-0bd6518c51 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0bd6518c51

Comment 8 Fedora Update System 2019-08-14 01:36:40 UTC
python-pytest-sugar-0.9.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0bd6518c51

Comment 9 Fedora Update System 2019-08-14 03:07:28 UTC
python-pytest-sugar-0.9.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab375e6516

Comment 10 Fedora Update System 2019-08-22 01:17:27 UTC
python-pytest-sugar-0.9.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-08-22 03:56:28 UTC
python-pytest-sugar-0.9.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.